Component({
    /**
     * 组件的属性列表
     */
    properties: {

        haveImage: {
            type: "Boolean",
            value: false
        },
        text: {
            type: "Array",
            value: []
        },
        type: {
            type: "String",
            value: ""
        },
        isCloseShow: {
            type: "Boolean",
            value: true
        },
        btnText:{
            type: "String",
            value: '确定'
        }
    },

    /**
     * 组件的初始数据
     */
    data: {
        flag: true,
    },

    /**
     * 组件的方法列表
     */
    methods: {
        confirm: function () {
            this.triggerEvent('confirm', {})
        },
        close: function(){
            this.triggerEvent('close', {})
        },
        touchMove: function(){
            return false
          }
    }
})